# Get business balances

## Fetch business balance

> Allows you to fetch the current business balance.

```json
{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://api.finrax.com","description":"Generated server url"}],"security":[{"ApiKeyAuth":["GET_BALANCE"]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","description":"^FRX-API api-key=[^,]+,signature=[^,]+,timestamp=[\\d]+$","name":"Authorization","in":"header"}},"schemas":{"BusinessBalanceResponse":{"required":["balances","businessId","businessName","cryptoAllocation","displayCryptoAmount","displayFiatAmount","fiatAllocation","settlementCryptoAmount","settlementCryptoCurrency","settlementFiatAmount","settlementFiatCurrency"],"type":"object","properties":{"businessId":{"type":"string","format":"uuid"},"businessName":{"type":"string"},"fiatAllocation":{"type":"string","description":"Deprecated. Ratio of fiat to all settlements allocation for crypto deposits.","deprecated":true},"settlementFiatCurrency":{"type":"string","description":"Deprecated.","deprecated":true,"enum":["EUR","GBP","USD"]},"settlementFiatAmount":{"type":"string","description":"Deprecated. Use `balances`. `settlementFiatCurrency` balance.","deprecated":true},"displayFiatAmount":{"type":"string","description":"Deprecated. Use `balances`. `settlementFiatCurrency` balance converted to EUR.","deprecated":true},"cryptoAllocation":{"type":"string","description":"Deprecated. Ratio of crypto to all settlements allocation for crypto deposits.","deprecated":true},"settlementCryptoCurrency":{"type":"string","description":"Deprecated.","deprecated":true,"enum":["BTC","USDC"]},"settlementCryptoAmount":{"type":"string","description":"Deprecated. Use `balances`. `settlementCryptoCurrency` balance.","deprecated":true},"displayCryptoAmount":{"type":"string","description":"Deprecated. Use `balances`. `settlementCryptoCurrency` balance converted to EUR.","deprecated":true},"balances":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/BalanceResponse"},"description":"All balances per currency."}}},"BalanceResponse":{"type":"object","properties":{"amount":{"type":"string"},"uniformAmount":{"type":"string"}},"description":"All balances per currency."}}},"paths":{"/v1/balances/{businessId}":{"get":{"summary":"Fetch business balance","description":"Allows you to fetch the current business balance.","operationId":"fetch-business-balance","parameters":[{"name":"businessId","in":"path","description":"The business ID to search by.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Returns the specified business's balance.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessBalanceResponse"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finrax.com/references/business/get-business-balances.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
